<?php
/**
 * @file
 * popsu_publications.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function popsu_publications_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-publications-node';
  $context->description = 'Contexte d\'un noeud de type Publication (feature)';
  $context->tag = 'publications-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_publication' => 'popsu_publication',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-1' => array(
          'module' => 'menu_block',
          'delta' => '1',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
        'menu_block-5' => array(
          'module' => 'menu_block',
          'delta' => '5',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Publication (feature)');
  t('publications-feature');
  $export['popsu-publications-node'] = $context;

  return $export;
}
